/* 
 * File:   client.h
 * Author: Arthur Brandao
 *
 * Created on 21 novembre 2018
 */

#ifndef CLIENT_H
#define CLIENT_H

/* --- Include --- */
#include "constante.h"
#include "server.h"

/* --- Strcutures --- */
typedef struct{
    int id; //Id unique du client
    Server main; //Connexion principale entre le client et le serveur
    Server notify; //Connexion pour notifier le client
}Client;
typedef struct ClientNode ClientNode;
struct ClientNode{
    boolean empty;
    Client* cli;
    ClientNode* next;
};
typedef struct{
    int length;
    ClientNode* tab;
}ClientList;

/* --- Fonctions --- */
int add_client(Server, Server);
Client* get_client(int);
void remove_client(int);
void clean_clientlist();
int get_number_client();

#endif /* CLIENT_H */

